> For the complete documentation index, see [llms.txt](https://help.bioinsight.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.bioinsight.illumina.com/correlation-engine/reference/faq/single-cell-analysis.md).

# Single-Cell Analysis in Correlation Engine

Single-cell technology enables the analysis of molecular characteristics at the level of individual cells rather than bulk populations. This approach is used to study a wide range of genomic modalities, including gene expression, protein levels, chromatin accessibility, and DNA methylation. Marker lists or differential analyses from scRNA-seq, scATAC-seq, or scMethylation data can be imported into Correlation Engine just as with other genomic analyses.

Data are processed using directional rank-based statistical algorithms, allowing users to query their single-cell signatures against any standard workflow in Correlation Engine.

## What You Can Do with Single-Cell Data in CE

Using CE applications for single-cell studies, you can:

* **Identify cell types and functional identities** — query Body Atlas and browse Curated Studies to characterise individual cell populations
* **Categorise individual cell types in disease vs. normal analyses** — use Disease Atlas to determine which cells are likely to contribute to disease pathology
* **Identify unique treatment responses per cell type** — use Pharmaco Atlas to find compounds affecting specific cell populations
* **Elucidate biomolecular mechanisms across cell types** — use Knockdown Atlas, Biogroups (Pathway Enrichment), and Meta-Analysis

## Public Single-Cell Content

Single-cell data in the public Curated Studies library is sourced from:

* [Gene Expression Omnibus (GEO)](https://www.ncbi.nlm.nih.gov/geo/)
* [CZI CELLxGENE](https://cellxgene.cziscience.com/)

To be considered for curation, studies must provide metadata with pre-determined cell identities. Data are re-analyzed from raw counts using **Seurat** for normalization, variable feature identification, scaling, PCA, UMAP, neighbor discovery, cluster identification, and marker analysis via the Wilcoxon test.

## Comparison Designs for Single-Cell Biosets

Two comparison designs are used when curating single-cell marker signatures (referred to as biosets in CE):

**Directed Comparison** A biological test case is provided in the metadata (e.g., disease vs. normal, treatment vs. control, timeline analysis). These cell-type-specific biosets are scored using directional fold changes or other appropriate measures for ranking.

**Atlas-Style Comparison** Comparisons are made between each cell type cluster and all other cell types in the analysis. A ranking statistic is based on the strength of a gene feature p-value, with the directional sign of the fold change applied. This matches the design of Body Atlas biosets. Unlike other Body Atlas biosets, single-cell biosets are available for direct inspection and use in Curated Studies.

## Body Atlas Single-Cell Integration

As of Correlation Engine v2.8.0, single-cell types are available within the Body Atlas app (in addition to the standard tissues, cell types, and cell lines). Single-cell biosets can be queried just like traditional Body Atlas content.

As of v2.9.0, 3,287 single-cell biosets are incorporated into Body Atlas.

## References

* CZ CELLxGENE Discover: A single-cell data platform for scalable exploration, analysis, and modeling of aggregated data. CZI Single-Cell Biology, et al. *bioRxiv* 2023.10.30. doi: <https://doi.org/10.1101/2023.10.30.563174>
* CELLxGENE: a performant, scalable exploration platform for high-dimensional sparse matrices. CZI Single-Cell Biology, et al. *bioRxiv* 2021.04.05. doi: <https://doi.org/10.1101/2021.04.05.438318>
* Hao Y, Stuart T, Kowalski MH, et al. (2023). "Dictionary learning for integrative, multimodal and scalable single-cell analysis." *Nature Biotechnology*. doi: <https://doi.org/10.1038/s41587-023-01767-y>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.bioinsight.illumina.com/correlation-engine/reference/faq/single-cell-analysis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
